Package org.apache.jasper

## Enum TrimSpacesOption

- java.lang.Object
- - java.lang.Enum<TrimSpacesOption>
  - - org.apache.jasper.TrimSpacesOption

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TrimSpacesOption>`

    public enum TrimSpacesOption
    extends java.lang.Enum<TrimSpacesOption>

### Enum Constant Summary

Enum Constants
`EXTENDED`
`FALSE`
`SINGLE`
`TRUE`

### Method Summary

All Methods Static Methods Concrete Methods
`static TrimSpacesOption` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TrimSpacesOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FALSE

    public static final TrimSpacesOption FALSE

#### TRUE

    public static final TrimSpacesOption TRUE

#### SINGLE

    public static final TrimSpacesOption SINGLE

#### EXTENDED

    public static final TrimSpacesOption EXTENDED

### Method Detail

#### values

    public static TrimSpacesOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TrimSpacesOption c : TrimSpacesOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TrimSpacesOption valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null